Name:           libserialport
Version:        0.1.1
Release:        %mkrel 1
Summary:        Library for accessing serial ports
License:        LGPLv3+
URL:            http://sigrok.org/wiki/%{name}
Group:          System/Libraries
Source0:        http://sigrok.org/download/source/%{name}/%{name}-%{version}.tar.xz
# https://sigrok.org/bugzilla/show_bug.cgi?id=1687
Patch0:         0001-HACK-don-t-even-check-for-termiox.patch

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  autoconf 
BuildRequires:  automake 
BuildRequires:  libtool

%description
libserialport is a minimal library written in C that is intended to take care
of the OS-specific details when writing software that uses serial ports.

By writing your serial code to use libserialport, you enable it to work
transparently on any platform supported by the library.

The operations that are supported are:

- Port enumeration (obtaining a list of serial ports on the system).
- Opening and closing ports.
- Setting port parameters (baud rate, parity, etc).
- Reading, writing and flushing data.
- Obtaining error information.


%package        devel
Summary:        Development files for %{name}
Group:              Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        API documentation for %{name}
Group: Documentation
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Provides:       bundled(jquery)

%description    doc
The %{name}-doc package contains documentation for developing software
with %{name}.


%prep
%setup -q
%apply_patches

autoreconf -vif


%build
%configure2_5x --disable-static
%make_build

# This builds documentation for the -doc package
make %{?_smp_mflags} doc


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%{_libdir}/%{name}.so.0*

%files devel
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%files doc
%doc doxy/html-api/


%changelog
* Fri Aug 19 2022 tex - 0.1.1-1pclos2022
- create pkg
